# Uses of Interface
org.eclipse.jdt.core.ICodeFormatter

Packages that use ICodeFormatter
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of ICodeFormatter in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return ICodeFormatter
Modifier and Type
Method
Description
`static ICodeFormatter`
ToolFactory.`createCodeFormatter()`
Deprecated.
The extension point has been deprecated, use `ToolFactory.createCodeFormatter(Map)` instead.
`static ICodeFormatter`
ToolFactory.`createDefaultCodeFormatter(Map options)`
Deprecated.
Use `ToolFactory.createCodeFormatter(Map)` instead but note the different options